#!/usr/bin/env python
#
# ESA (C) 2000-2021 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.


import pytest
import os
import numpy as np
import sys
# adds the correct PATH to read the Python script
sys.path.insert(0, os.path.join(os.getenv('SAS_PATH').split(':')[0], 'bin'))
import om_background_plots
import warnings


def test_om_background_fit():
    om_background_plots.om_background_fit(np.random.poisson(12, 1000), 'test1', 'test1', 'First test', 20, '')
    
    if os.path.isfile('test1_1.pdf'):
        os.remove('test1_1.pdf')
        assert True
    else:
        warnings.warn('Could not delete test1.pdf')
        assert False


def test_om_back_hist2():
    n1 = np.random.rand(20)
    n2 = np.random.rand(30)
    n3 = np.random.rand(30) - 1
    n4 = np.random.rand(30) + 1
    om_background_plots.ombackground_hists((n1, n2, n3, n4), None, 'test2', 'test2', 'x', nbins = 40, add_text = '', y_labels = ('1', '2', '3', '4',), scale = '')
    
    if os.path.isfile('test2.pdf'):
        os.remove('test2.pdf')
        assert True
    else:
        assert False
